Page MenuHomePhabricator

Many profiles on profile.html do not display identity's name though data is available
Closed, ResolvedPublic

Description

  1. Go to a random profile like http://korma.wmflabs.org/browser/people.html?id=287d64ec9e2bfa350185e3dd46575e50e5259a93
  2. See that no user name is displayed
  3. See that http://korma.wmflabs.org/browser/top-contributors.html (custom file) lists that user with the name "84" for reasons I don't get
  4. Check the identities dump file and see that under profile a name value is set ("zfilipin"). None of the name or username fields of any associated identities lists "84" as a name.

Event Timeline

Aklapper created this task.Nov 5 2015, 3:28 PM
Aklapper raised the priority of this task from to Medium.
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.

Re-assigning this to @Lcanasdiaz. This is a bug in the product.

Dicortazar set Security to None.
Dicortazar edited subscribers, added: Dicortazar; removed: Lcanasdiaz.

This issue is highly related to #T118169

The name displayed on the person panel is using the profiles table, which is the table that unifies the names for a unique identity. The problem is that the list (in this case top contributors) is using an intermediate table in order to speed up the production of JSON files. As soon as the tables are unified, this problem will be fixed. We're testing the solution we applied since yesterday, the result will be available as soon as the process finishes. SCR data is being updated now, the rest will be updated when it finishes.

Aklapper moved this task from Backlog to Doing on the wikimedia.biterg.io board.

Currently the people panel does display name. The issue here is that this name is not coherent due to a bug in the library. I mean we are showing different nicks/names for the same person. What we'll do is to unify the way people panel shows that info.

Fixed in this commit https://github.com/VizGrimoire/GrimoireLib/commit/e583fc4bef936ecc092d98d1438ba5fffaffd927

Deployed in production environment, waiting to see the results ..

I used these three profiles as test. All of them are linked from scr-contributors.html and shown an ID instead of a proper name.

http://korma.wmflabs.org/browser/people.html?id=0848fcd3d184007080330da369b363292812c126 is James D. Forrester in top participants
http://korma.wmflabs.org/browser/people.html?id=7dd161741feb9384c504058fa33d474e20b65390 same case with Justin Du
http://korma.wmflabs.org/browser/people.html?id=298e45437e14901c6db2f75035334e296ccd4f54 same case with Unicornisaurous

It is working :)

Lcanasdiaz closed this task as Resolved.Jan 21 2016, 7:41 PM
jayvdb reopened this task as Open.Jan 21 2016, 8:18 PM
jayvdb added a subscriber: jayvdb.

There are many cases where this is not happening.

There are many cases where this is not happening.

@jayvdb: Can you please provide a testcase please (URL for profile.html plus where it is linked from)?

At least I cannot reproduce any problem anymore from http://korma.wmflabs.org/browser/scr-contributors.html after testing a dozen of random links.

Ah. Going to http://korma.wmflabs.org/browser/mls.html , under "Last 30 days" I see "Phil" listed as #3, but clicking the name and going to http://korma.wmflabs.org/browser/people.html?id=590983154746f950e85c919e117a2695d58ffb8a does not show that name.

Ah. Going to http://korma.wmflabs.org/browser/mls.html , under "Last 30 days" I see "Phil" listed as #3, but clicking the name and going to http://korma.wmflabs.org/browser/people.html?id=590983154746f950e85c919e117a2695d58ffb8a does not show that name.

Still happening...

The way this data is calculated is the following:

  1. we get the people listed in the different tops for the dashboard
  2. data for this set of people is gathered
  3. JSON files are produced
Lcanasdiaz moved this task from Backlog to Doing on the DevRel-March-2016 board.Mar 14 2016, 3:27 PM
Lcanasdiaz closed this task as Resolved.Mar 14 2016, 3:50 PM

Oh! I was due to my cache. It was already working :)

:D

@Lcanasdiaz: Hmm.
Going to http://korma.wmflabs.org/browser/mls.html under "Last 30 days" I see #1 Markus' and #2 Stanislav's names not shown on their profile pages.
Same for the example in the description of this task.

Maybe I misunderstood the scope of this task and this was only about ITS and not e.g. MLS?

@Lcanasdiaz: Hmm.
Going to http://korma.wmflabs.org/browser/mls.html under "Last 30 days" I see #1 Markus' and #2 Stanislav's names not shown on their profile pages.
Same for the example in the description of this task.
Maybe I misunderstood the scope of this task and this was only about ITS and not e.g. MLS?

From my point of view this task was related to avoid awful digits instead of names in profile pages. Said that, you are right about the bug, the names are not coherent for MLS. I bet it is due to the profile information that I just included for ITS last week.

I'm working on it, but I would say it should be part of T118169